﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using DallasCrimeDataWebPart.DallasCrimeDataSvc;
using System.Collections.Generic;
using System.Collections;
using System.ServiceModel; 

namespace DallasCrimeDataWebPart.CrimeDataVisualWebPart
{
    public partial class CrimeDataVisualWebPartUserControl : UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void btnGetData_Click(object sender, EventArgs e)
        {
            BasicHttpBinding mySvcbinding = new BasicHttpBinding();
            UriBuilder serviceURI = new UriBuilder("http://localhost:7833/DallasCrimeData.svc");
            DallasCrimeDataClient myWCFProxy = new DallasCrimeDataClient(mySvcbinding, new EndpointAddress(serviceURI.Uri)); 

            var myCrimeData = myWCFProxy.GetCrimeData(null);

            List<ReturnCrimeData> returnCrimeDataFromService = new List<ReturnCrimeData>();

            foreach (var item in myCrimeData)
            {
                ReturnCrimeData tempEntity = new ReturnCrimeData();
                tempEntity.City = item.City; 
                tempEntity.Year = item.Year; 
                tempEntity.Population = item.Population; 
                tempEntity.ViolentCrime = item.ViolentCrime; 
                tempEntity.Robbery = item.Robbery; 
                tempEntity.PropertyCrime = item.PropertyCrime; 
                tempEntity.Burglary = item.Burglary;
                returnCrimeDataFromService.Add(tempEntity); 
            }

            myWCFProxy.Close();

            datagrdDallasData.DataSource = returnCrimeDataFromService;
            datagrdDallasData.DataBind(); 
        }
    }
}