﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WCFTestClient.GetContosoSalesData; 

namespace WCFTestClient
{
    public partial class Form1 : Form
    {
        List<SalesDataWF> returnSalesData = new List<SalesDataWF>(); 

        public Form1()
        {
            InitializeComponent();
        }

        private void btnGetData_Click(object sender, EventArgs e)
        {
            ContosoServiceClient myProxy = new ContosoServiceClient();
            var returnData = myProxy.GetContosoStoreSales();

            foreach (var item in returnData)
            {
                SalesDataWF tempItem = new SalesDataWF();
                tempItem.StoreName = item.StoreName;
                tempItem.FY09Sales = item.FY09Sales;
                tempItem.FY10Sales = item.FY10Sales;
                tempItem.FY11Sales = item.FY11Sales;
                tempItem.TotalSales = item.TotalSales;
                returnSalesData.Add(tempItem); 
            }

            datagrdSalesData.DataSource = returnSalesData; 

            MessageBox.Show("done"); 
        }
    }
}
