﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace Shared
{
    [ServiceContract]
    public interface IEmployeeInfoSvc
    {
        [OperationContract]
        List<Sales> GetEmployees();        
    }

    /// <summary>
    /// Provides client channel functionality to be used by the WCF channelFactory in client applications.
    /// </summary>
    public interface IEmployeeInfoChannel : IEmployeeInfoSvc, IClientChannel { }
}
