﻿<?xml version="1.0" encoding="utf-8"?>
<serviceModel xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="CustomerInformation" generation="1" functional="0" release="0" Id="3ab6fbdb-8e73-4e98-8134-74bf92813fe5" dslVersion="1.2.0.0" xmlns="http://schemas.microsoft.com/dsltools/RDSM">
  <groups>
    <group name="CustomerInformationGroup" generation="1" functional="0" release="0">
      <componentports>
        <inPort name="GetCustomersFromAzure:Endpoint1" protocol="http">
          <inToChannel>
            <lBChannelMoniker name="/CustomerInformation/CustomerInformationGroup/LB:GetCustomersFromAzure:Endpoint1" />
          </inToChannel>
        </inPort>
      </componentports>
      <settings>
        <aCS name="GetCustomersFromAzure:?IsSimulationEnvironment?" defaultValue="">
          <maps>
            <mapMoniker name="/CustomerInformation/CustomerInformationGroup/MapGetCustomersFromAzure:?IsSimulationEnvironment?" />
          </maps>
        </aCS>
        <aCS name="GetCustomersFromAzure:?RoleHostDebugger?" defaultValue="">
          <maps>
            <mapMoniker name="/CustomerInformation/CustomerInformationGroup/MapGetCustomersFromAzure:?RoleHostDebugger?" />
          </maps>
        </aCS>
        <aCS name="GetCustomersFromAzure:?StartupTaskDebugger?" defaultValue="">
          <maps>
            <mapMoniker name="/CustomerInformation/CustomerInformationGroup/MapGetCustomersFromAzure:?StartupTaskDebugger?" />
          </maps>
        </aCS>
        <aCS name="GetCustomersFromAzure:Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" defaultValue="">
          <maps>
            <mapMoniker name="/CustomerInformation/CustomerInformationGroup/MapGetCustomersFromAzure:Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" />
          </maps>
        </aCS>
        <aCS name="GetCustomersFromAzureInstances" defaultValue="[1,1,1]">
          <maps>
            <mapMoniker name="/CustomerInformation/CustomerInformationGroup/MapGetCustomersFromAzureInstances" />
          </maps>
        </aCS>
      </settings>
      <channels>
        <lBChannel name="LB:GetCustomersFromAzure:Endpoint1">
          <toPorts>
            <inPortMoniker name="/CustomerInformation/CustomerInformationGroup/GetCustomersFromAzure/Endpoint1" />
          </toPorts>
        </lBChannel>
      </channels>
      <maps>
        <map name="MapGetCustomersFromAzure:?IsSimulationEnvironment?" kind="Identity">
          <setting>
            <aCSMoniker name="/CustomerInformation/CustomerInformationGroup/GetCustomersFromAzure/?IsSimulationEnvironment?" />
          </setting>
        </map>
        <map name="MapGetCustomersFromAzure:?RoleHostDebugger?" kind="Identity">
          <setting>
            <aCSMoniker name="/CustomerInformation/CustomerInformationGroup/GetCustomersFromAzure/?RoleHostDebugger?" />
          </setting>
        </map>
        <map name="MapGetCustomersFromAzure:?StartupTaskDebugger?" kind="Identity">
          <setting>
            <aCSMoniker name="/CustomerInformation/CustomerInformationGroup/GetCustomersFromAzure/?StartupTaskDebugger?" />
          </setting>
        </map>
        <map name="MapGetCustomersFromAzure:Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" kind="Identity">
          <setting>
            <aCSMoniker name="/CustomerInformation/CustomerInformationGroup/GetCustomersFromAzure/Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" />
          </setting>
        </map>
        <map name="MapGetCustomersFromAzureInstances" kind="Identity">
          <setting>
            <sCSPolicyIDMoniker name="/CustomerInformation/CustomerInformationGroup/GetCustomersFromAzureInstances" />
          </setting>
        </map>
      </maps>
      <components>
        <groupHascomponents>
          <role name="GetCustomersFromAzure" generation="1" functional="0" release="0" software="D:\Authoring\SP_And_Azure\C9\Source\C9SolutionCode\CustomerInformation\bin\Debug\CustomerInformation.csx\roles\GetCustomersFromAzure" entryPoint="base\x64\WaHostBootstrapper.exe" parameters="base\x64\WaIISHost.exe " memIndex="1792" hostingEnvironment="frontendadmin" hostingEnvironmentVersion="2">
            <componentports>
              <inPort name="Endpoint1" protocol="http" portRanges="80" />
            </componentports>
            <settings>
              <aCS name="?IsSimulationEnvironment?" defaultValue="" />
              <aCS name="?RoleHostDebugger?" defaultValue="" />
              <aCS name="?StartupTaskDebugger?" defaultValue="" />
              <aCS name="Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" defaultValue="" />
              <aCS name="__ModelData" defaultValue="&lt;m role=&quot;GetCustomersFromAzure&quot; xmlns=&quot;urn:azure:m:v1&quot;&gt;&lt;r name=&quot;GetCustomersFromAzure&quot;&gt;&lt;e name=&quot;Endpoint1&quot; /&gt;&lt;/r&gt;&lt;/m&gt;" />
            </settings>
            <resourcereferences>
              <resourceReference name="DiagnosticStore" defaultAmount="[4096,4096,4096]" defaultSticky="true" kind="Directory" />
              <resourceReference name="GetCustomersFromAzure.svclog" defaultAmount="[1000,1000,1000]" defaultSticky="true" kind="Directory" />
              <resourceReference name="EventStore" defaultAmount="[1000,1000,1000]" defaultSticky="false" kind="LogStore" />
            </resourcereferences>
          </role>
          <sCSPolicy>
            <sCSPolicyIDMoniker name="/CustomerInformation/CustomerInformationGroup/GetCustomersFromAzureInstances" />
          </sCSPolicy>
        </groupHascomponents>
      </components>
      <sCSPolicy>
        <sCSPolicyID name="GetCustomersFromAzureInstances" defaultPolicy="[1,1,1]" />
      </sCSPolicy>
    </group>
  </groups>
  <implements>
    <implementation Id="beea2e67-88d0-4b67-bdf1-fab4be77bf83" ref="Microsoft.RedDog.Contract\ServiceContract\CustomerInformationContract@ServiceDefinition.build">
      <interfacereferences>
        <interfaceReference Id="6705eb52-636f-4820-81fe-2696696ba863" ref="Microsoft.RedDog.Contract\Interface\GetCustomersFromAzure:Endpoint1@ServiceDefinition.build">
          <inPort>
            <inPortMoniker name="/CustomerInformation/CustomerInformationGroup/GetCustomersFromAzure:Endpoint1" />
          </inPort>
        </interfaceReference>
      </interfacereferences>
    </implementation>
  </implements>
</serviceModel>