﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;
using System.Net;
using System.IO;
using System.Security.Cryptography.X509Certificates; 

namespace GetACSCertInformation
{
    class Program
    {
        static void Main(string[] args)
        {
            var azureRequest = (HttpWebRequest)WebRequest.Create("https://yournamespacehere.core.windows.net/GUID here/services/hostedservices");
            azureRequest.Method = "GET";
            azureRequest.ContentType = "xml";
            azureRequest.ClientCertificates.Add(X509Certificate2.CreateFromCertFile(GetACSCertInformation.Properties.Resources.CertLocation)); 
            azureRequest.Headers.Add("x-ms-version", "2009-10-01");
            var azureResponse = azureRequest.GetResponse().GetResponseStream();
            var xmlResultsFromAzure = new StreamReader(azureResponse).ReadToEnd();
            Console.WriteLine(XElement.Parse(xmlResultsFromAzure)); 
            Console.ReadLine(); 
        }
    }
}





