﻿<?xml version="1.0" encoding="utf-8"?>
<serviceModel xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="AzureImageMgr" generation="1" functional="0" release="0" Id="04ea34e8-4ab1-4fdc-a486-f15f3d4293ee" dslVersion="1.2.0.0" xmlns="http://schemas.microsoft.com/dsltools/RDSM">
  <groups>
    <group name="AzureImageMgrGroup" generation="1" functional="0" release="0">
      <componentports>
        <inPort name="ImageBlobStorage:Endpoint1" protocol="http">
          <inToChannel>
            <lBChannelMoniker name="/AzureImageMgr/AzureImageMgrGroup/LB:ImageBlobStorage:Endpoint1" />
          </inToChannel>
        </inPort>
      </componentports>
      <settings>
        <aCS name="ImageBlobStorage:?IsSimulationEnvironment?" defaultValue="">
          <maps>
            <mapMoniker name="/AzureImageMgr/AzureImageMgrGroup/MapImageBlobStorage:?IsSimulationEnvironment?" />
          </maps>
        </aCS>
        <aCS name="ImageBlobStorage:?RoleHostDebugger?" defaultValue="">
          <maps>
            <mapMoniker name="/AzureImageMgr/AzureImageMgrGroup/MapImageBlobStorage:?RoleHostDebugger?" />
          </maps>
        </aCS>
        <aCS name="ImageBlobStorage:?StartupTaskDebugger?" defaultValue="">
          <maps>
            <mapMoniker name="/AzureImageMgr/AzureImageMgrGroup/MapImageBlobStorage:?StartupTaskDebugger?" />
          </maps>
        </aCS>
        <aCS name="ImageBlobStorage:DataConnectionString" defaultValue="">
          <maps>
            <mapMoniker name="/AzureImageMgr/AzureImageMgrGroup/MapImageBlobStorage:DataConnectionString" />
          </maps>
        </aCS>
        <aCS name="ImageBlobStorage:Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" defaultValue="">
          <maps>
            <mapMoniker name="/AzureImageMgr/AzureImageMgrGroup/MapImageBlobStorage:Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" />
          </maps>
        </aCS>
        <aCS name="ImageBlobStorage:MyConnectionString" defaultValue="">
          <maps>
            <mapMoniker name="/AzureImageMgr/AzureImageMgrGroup/MapImageBlobStorage:MyConnectionString" />
          </maps>
        </aCS>
        <aCS name="ImageBlobStorageInstances" defaultValue="[1,1,1]">
          <maps>
            <mapMoniker name="/AzureImageMgr/AzureImageMgrGroup/MapImageBlobStorageInstances" />
          </maps>
        </aCS>
      </settings>
      <channels>
        <lBChannel name="LB:ImageBlobStorage:Endpoint1">
          <toPorts>
            <inPortMoniker name="/AzureImageMgr/AzureImageMgrGroup/ImageBlobStorage/Endpoint1" />
          </toPorts>
        </lBChannel>
      </channels>
      <maps>
        <map name="MapImageBlobStorage:?IsSimulationEnvironment?" kind="Identity">
          <setting>
            <aCSMoniker name="/AzureImageMgr/AzureImageMgrGroup/ImageBlobStorage/?IsSimulationEnvironment?" />
          </setting>
        </map>
        <map name="MapImageBlobStorage:?RoleHostDebugger?" kind="Identity">
          <setting>
            <aCSMoniker name="/AzureImageMgr/AzureImageMgrGroup/ImageBlobStorage/?RoleHostDebugger?" />
          </setting>
        </map>
        <map name="MapImageBlobStorage:?StartupTaskDebugger?" kind="Identity">
          <setting>
            <aCSMoniker name="/AzureImageMgr/AzureImageMgrGroup/ImageBlobStorage/?StartupTaskDebugger?" />
          </setting>
        </map>
        <map name="MapImageBlobStorage:DataConnectionString" kind="Identity">
          <setting>
            <aCSMoniker name="/AzureImageMgr/AzureImageMgrGroup/ImageBlobStorage/DataConnectionString" />
          </setting>
        </map>
        <map name="MapImageBlobStorage:Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" kind="Identity">
          <setting>
            <aCSMoniker name="/AzureImageMgr/AzureImageMgrGroup/ImageBlobStorage/Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" />
          </setting>
        </map>
        <map name="MapImageBlobStorage:MyConnectionString" kind="Identity">
          <setting>
            <aCSMoniker name="/AzureImageMgr/AzureImageMgrGroup/ImageBlobStorage/MyConnectionString" />
          </setting>
        </map>
        <map name="MapImageBlobStorageInstances" kind="Identity">
          <setting>
            <sCSPolicyIDMoniker name="/AzureImageMgr/AzureImageMgrGroup/ImageBlobStorageInstances" />
          </setting>
        </map>
      </maps>
      <components>
        <groupHascomponents>
          <role name="ImageBlobStorage" generation="1" functional="0" release="0" software="E:\Authoring\SP_And_Azure\C5\Source\AzureImageMgr\AzureImageMgr\bin\Debug\AzureImageMgr.csx\roles\ImageBlobStorage" entryPoint="base\x64\WaHostBootstrapper.exe" parameters="base\x64\WaIISHost.exe " memIndex="1792" hostingEnvironment="frontendadmin" hostingEnvironmentVersion="2">
            <componentports>
              <inPort name="Endpoint1" protocol="http" portRanges="80" />
            </componentports>
            <settings>
              <aCS name="?IsSimulationEnvironment?" defaultValue="" />
              <aCS name="?RoleHostDebugger?" defaultValue="" />
              <aCS name="?StartupTaskDebugger?" defaultValue="" />
              <aCS name="DataConnectionString" defaultValue="" />
              <aCS name="Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" defaultValue="" />
              <aCS name="MyConnectionString" defaultValue="" />
              <aCS name="__ModelData" defaultValue="&lt;m role=&quot;ImageBlobStorage&quot; xmlns=&quot;urn:azure:m:v1&quot;&gt;&lt;r name=&quot;ImageBlobStorage&quot;&gt;&lt;e name=&quot;Endpoint1&quot; /&gt;&lt;/r&gt;&lt;/m&gt;" />
            </settings>
            <resourcereferences>
              <resourceReference name="DiagnosticStore" defaultAmount="[4096,4096,4096]" defaultSticky="true" kind="Directory" />
              <resourceReference name="EventStore" defaultAmount="[1000,1000,1000]" defaultSticky="false" kind="LogStore" />
            </resourcereferences>
          </role>
          <sCSPolicy>
            <sCSPolicyIDMoniker name="/AzureImageMgr/AzureImageMgrGroup/ImageBlobStorageInstances" />
          </sCSPolicy>
        </groupHascomponents>
      </components>
      <sCSPolicy>
        <sCSPolicyID name="ImageBlobStorageInstances" defaultPolicy="[1,1,1]" />
      </sCSPolicy>
    </group>
  </groups>
  <implements>
    <implementation Id="7a677545-ad84-4b21-8541-55dc7c5633fd" ref="Microsoft.RedDog.Contract\ServiceContract\AzureImageMgrContract@ServiceDefinition.build">
      <interfacereferences>
        <interfaceReference Id="acf72116-b83d-4764-a4a7-4c9f64f68a17" ref="Microsoft.RedDog.Contract\Interface\ImageBlobStorage:Endpoint1@ServiceDefinition.build">
          <inPort>
            <inPortMoniker name="/AzureImageMgr/AzureImageMgrGroup/ImageBlobStorage:Endpoint1" />
          </inPort>
        </interfaceReference>
      </interfacereferences>
    </implementation>
  </implements>
</serviceModel>