﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace GetCustomersFromAzure
{
    public class GetCustomers : IGetCustomers
    {
        List<Customer> myCustomerList = new List<Customer>();
        List<Customer> returnListOfCustomers = new List<Customer>();

        #region Customer Methods

        public List<Customer> getACustomer(int custID)
        {
            generateCustomerData();

            string strCustID = custID.ToString();

            var returnListOfData = (from customer in myCustomerList
                                    where customer.custID == strCustID
                                    select customer).ToArray();

            List<Customer> returnCustomer = returnListOfData.ToList(); 

            return returnCustomer;
        }

        //public string[] getACustomer(int custID)
        //{
        //    generateCustomerData();

        //    string strCustID = custID.ToString();

        //    string[] returnCustomer = new string[6];

        //    var returnListOfData = (from customer in myCustomerList
        //                            where customer.custID == strCustID
        //                            select customer).ToArray();

        //    foreach (var cust in returnListOfData)
        //    {
        //        returnCustomer[0] = cust.custID;
        //        returnCustomer[1] = cust.custTitle;
        //        returnCustomer[2] = cust.custFirstName;
        //        returnCustomer[3] = cust.custLastName;
        //        returnCustomer[4] = cust.custEmail;
        //        returnCustomer[5] = cust.custPhone;
        //    };

        //    return returnCustomer;
        //}

        //public List<Customer> getAllCustomers()
        //{
        //    generateCustomerData();

        //    var returnListOfData = (from customer in myCustomerList
        //                            select customer).ToArray();

        //    returnListOfCustomers = returnListOfData.ToList(); 

        //    //foreach (var cust in returnListOfData)
        //    //{
        //    //    Customer tempCustomer = new Customer();
        //    //    tempCustomer.custID = cust.custID;
        //    //    tempCustomer.custTitle = cust.custTitle;
        //    //    tempCustomer.custFirstName = cust.custFirstName;
        //    //    tempCustomer.custLastName = cust.custLastName;
        //    //    tempCustomer.custEmail = cust.custEmail;
        //    //    tempCustomer.custPhone = cust.custPhone;
        //    //    returnListOfCustomers.Add(tempCustomer);
        //    //};

        //    return returnListOfCustomers;
        //}

        public List<Customer> getAllCustomers()
        {
            generateCustomerData();

            var returnListOfData = (from customer in myCustomerList
                                    select customer).ToArray();

            returnListOfCustomers = returnListOfData.ToList();

            return returnListOfCustomers;
        }

        private void generateCustomerData()
        {
            Customer cust1 = new Customer();
            cust1.custTitle = "Dr.";
            cust1.custID = "1";
            cust1.custFirstName = "Ben";
            cust1.custLastName = "Smith";
            cust1.custEmail = "ben.smith@wingtip.com";
            cust1.custPhone = "425-555-0177";
            myCustomerList.Add(cust1);

            Customer cust2 = new Customer();
            cust2.custTitle = "Dr.";
            cust2.custID = "2";
            cust2.custFirstName = "Dorena";
            cust2.custLastName = "Paschke";
            cust2.custEmail = "d.paschke@contoso.com";
            cust2.custPhone = "425-555-0156";
            myCustomerList.Add(cust2);  

            Customer cust3 = new Customer();
            cust3.custTitle = "Dr.";
            cust3.custID = "3";
            cust3.custFirstName = "Ray";
            cust3.custLastName = "Mohrman";
            cust3.custEmail = "rmohrman@blueyonder.com";
            cust3.custPhone = "425-555-0191";
            myCustomerList.Add(cust3); 

            Customer cust4 = new Customer();
            cust4.custTitle = "Mr.";
            cust4.custID = "4";
            cust4.custFirstName = "Bill";
            cust4.custLastName = "Malone";
            cust4.custEmail = "wmalone@fabrikam.com";
            cust4.custPhone = "425-555-0106";
            myCustomerList.Add(cust4);

            Customer cust5 = new Customer();
            cust5.custTitle = "Mr.";
            cust5.custID = "5";
            cust5.custFirstName = "Andrew";
            cust5.custLastName = "Ma";
            cust5.custEmail = "andrewma@blueyonder.com";
            cust5.custPhone = "425-555-0192";
            myCustomerList.Add(cust5);

            Customer cust6 = new Customer();
            cust6.custTitle = "Mrs.";
            cust6.custID = "6";
            cust6.custFirstName = "James";
            cust6.custLastName = "Seymour";
            cust6.custEmail = "jamess@wingtip.com";
            cust6.custPhone = "425-555-0182";
            myCustomerList.Add(cust6);

            Customer cust7 = new Customer();
            cust7.custTitle = "Dr.";
            cust7.custID = "7";
            cust7.custFirstName = "Sagiv";
            cust7.custLastName = "Hadaya";
            cust7.custEmail = "saguvh@contoso.com";
            cust7.custPhone = "425-555-0124";
            myCustomerList.Add(cust7);
 
            Customer cust8 = new Customer();
            cust8.custTitle = "Dr.";
            cust8.custID = "8";
            cust8.custFirstName = "Zainal";
            cust8.custLastName = "Garifin";
            cust8.custEmail = "z.gar@contoso.com";
            cust8.custPhone = "425-555-0122";
            myCustomerList.Add(cust8);
 
            Customer cust9 = new Customer();
            cust9.custTitle = "Mr.";
            cust9.custID = "9";
            cust9.custFirstName = "François";
            cust9.custLastName = "Ajenstat";
            cust9.custEmail = "f.Ajenstat@fabrikam.com";
            cust9.custPhone = "425-555-0109";
            myCustomerList.Add(cust9);

            Customer cust10 = new Customer();
            cust10.custTitle = "Dr.";
            cust10.custID = "10";
            cust10.custFirstName = "Kim";
            cust10.custLastName = "Abercrombie";
            cust10.custEmail = "k.Abercrombie@contoso.com";
            cust10.custPhone = "425-555-0100";
            myCustomerList.Add(cust10);
        }
        #endregion

        #region Credit Score Method

        public int GetPersonalCreditScore()
        {
            int creditScore = 0; 

            try
            {
                Random random = new Random();
                creditScore = random.Next(500, 800);

                return creditScore;
            }
            catch (Exception ex)
            {
                return 0;
            }
        }

        #endregion
    }
}


